package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.TrailerType;
import de.humance.eco.profile.service.TrailerTypeLocalServiceUtil;

/**
 * The extended model base implementation for the TrailerType service. Represents a row in the &quot;Profile_TrailerType&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link TrailerTypeImpl}.
 * </p>
 *
 * @author Humance
 * @see TrailerTypeImpl
 * @see de.humance.eco.profile.model.TrailerType
 * @generated
 */
public abstract class TrailerTypeBaseImpl extends TrailerTypeModelImpl
    implements TrailerType {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a trailer type model instance should use the {@link TrailerType} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            TrailerTypeLocalServiceUtil.addTrailerType(this);
        } else {
            TrailerTypeLocalServiceUtil.updateTrailerType(this);
        }
    }
}
